<?php
// This file was auto-generated from sdk-root/src/data/ecr/2015-09-21/examples-1.json
return [ 'version' => '1.0', 'examples' => [ 'BatchDeleteImage' => [ [ 'input' => [ 'imageIds' => [ [ 'imageTag' => 'precise', ], ], 'repositoryName' => 'ubuntu', ], 'output' => [ 'failures' => [], 'imageIds' => [ [ 'imageDigest' => 'sha256:examplee6d1e504117a17000003d3753086354a38375961f2e665416ef4b1b2f', 'imageTag' => 'precise', ], ], ], 'comments' => [], 'description' => 'This example deletes images with the tags precise and trusty in a repository called ubuntu in the default registry for an account.', 'id' => 'batchdeleteimages-example-1470860541707', 'title' => 'To delete multiple images', ], ], 'BatchGetImage' => [ [ 'input' => [ 'imageIds' => [ [ 'imageTag' => 'precise', ], ], 'repositoryName' => 'ubuntu', ], 'output' => [ 'failures' => [], 'images' => [ [ 'imageId' => [ 'imageDigest' => 'sha256:example76bdff6d83a09ba2a818f0d00000063724a9ac3ba5019c56f74ebf42a', 'imageTag' => 'precise', ], 'imageManifest' => '{ "schemaVersion": 1, "name": "ubuntu", "tag": "precise",...', 'registryId' => '244698725403', 'repositoryName' => 'ubuntu', ], ], ], 'comments' => [ 'output' => [ 'imageManifest' => 'In this example, the imageManifest in the output JSON has been truncated.', ], ], 'description' => 'This example obtains information for an image with a specified image digest ID from the repository named ubuntu in the current account.', 'id' => 'batchgetimage-example-1470862771437', 'title' => 'To obtain multiple images in a single request', ], ], 'CreateRepository' => [ [ 'input' => [ 'repositoryName' => 'project-a/nginx-web-app', ], 'output' => [ 'repository' => [ 'registryId' => '012345678901', 'repositoryArn' => 'arn:aws:ecr:us-west-2:012345678901:repository/project-a/nginx-web-app', 'repositoryName' => 'project-a/nginx-web-app', ], ], 'comments' => [ 'output' => [ 'imageManifest' => 'In this example, the imageManifest in the output JSON has been truncated.', ], ], 'description' => 'This example creates a repository called nginx-web-app inside the project-a namespace in the default registry for an account.', 'id' => 'createrepository-example-1470863688724', 'title' => 'To create a new repository', ], ], 'DeleteRepository' => [ [ 'input' => [ 'force' => true, 'repositoryName' => 'ubuntu', ], 'output' => [ 'repository' => [ 'registryId' => '012345678901', 'repositoryArn' => 'arn:aws:ecr:us-west-2:012345678901:repository/ubuntu', 'repositoryName' => 'ubuntu', ], ], 'comments' => [ 'output' => [ 'imageManifest' => 'In this example, the imageManifest in the output JSON has been truncated.', ], ], 'description' => 'This example force deletes a repository named ubuntu in the default registry for an account. The force parameter is required if the repository contains images.', 'id' => 'deleterepository-example-1470863805703', 'title' => 'To force delete a repository', ], ], 'DeleteRepositoryPolicy' => [ [ 'input' => [ 'repositoryName' => 'ubuntu', ], 'output' => [ 'policyText' => '{ ... }', 'registryId' => '012345678901', 'repositoryName' => 'ubuntu', ], 'comments' => [], 'description' => 'This example deletes the policy associated with the repository named ubuntu in the current account.', 'id' => 'deleterepositorypolicy-example-1470866943748', 'title' => 'To delete the policy associated with a repository', ], ], 'DescribeRepositories' => [ [ 'input' => [], 'output' => [ 'repositories' => [ [ 'registryId' => '012345678910', 'repositoryArn' => 'arn:aws:ecr:us-west-2:012345678910:repository/ubuntu', 'repositoryName' => 'ubuntu', ], [ 'registryId' => '012345678910', 'repositoryArn' => 'arn:aws:ecr:us-west-2:012345678910:repository/test', 'repositoryName' => 'test', ], ], ], 'comments' => [ 'output' => [], ], 'description' => 'The following example obtains a list and description of all repositories in the default registry to which the current user has access.', 'id' => 'describe-repositories-1470856017467', 'title' => 'To describe all repositories in the current account', ], ], 'GetAuthorizationToken' => [ [ 'input' => [], 'output' => [ 'authorizationData' => [ [ 'authorizationToken' => 'QVdTOkN...', 'expiresAt' => '1470951892432', 'proxyEndpoint' => 'https://012345678901.dkr.ecr.us-west-2.amazonaws.com', ], ], ], 'comments' => [], 'description' => 'This example gets an authorization token for your default registry.', 'id' => 'getauthorizationtoken-example-1470867047084', 'title' => 'To obtain an authorization token', ], ], 'GetRepositoryPolicy' => [ [ 'input' => [ 'repositoryName' => 'ubuntu', ], 'output' => [ 'policyText' => '{ "Version" : "2008-10-17", "Statement" : [ { "Sid" : "new statement", "Effect" : "Allow", "Principal" : { "AWS" : "arn:aws:iam::012345678901:role/CodeDeployDemo" },"Action" : [ "ecr:GetDownloadUrlForLayer", "ecr:BatchGetImage", "ecr:BatchCheckLayerAvailability" ] } ]}', 'registryId' => '012345678901', 'repositoryName' => 'ubuntu', ], 'comments' => [], 'description' => 'This example obtains the repository policy for the repository named ubuntu.', 'id' => 'getrepositorypolicy-example-1470867669211', 'title' => 'To get the current policy for a repository', ], ], 'ListImages' => [ [ 'input' => [ 'repositoryName' => 'ubuntu', ], 'output' => [ 'imageIds' => [ [ 'imageDigest' => 'sha256:764f63476bdff6d83a09ba2a818f0d35757063724a9ac3ba5019c56f74ebf42a', 'imageTag' => 'precise', ], ], ], 'comments' => [], 'description' => 'This example lists all of the images in the repository named ubuntu in the default registry in the current account. ', 'id' => 'listimages-example-1470868161594', 'title' => 'To list all images in a repository', ], ], ],];
